import {Dimensions} from 'react-native'

export const SCREEN_WIDTH = Dimensions.get('screen').width
export const SCREEN_HEIGHT = Dimensions.get('screen').height
export const DATE_FORMAT = 'DD/MM/YYYY'
export const TIME_FORMAT = 'h:mm A'

export const Colors = {
  secondary: '#022A4C',
  black_700: '#282828',
  black_800: '#1D1D1D',
  black_900: '#000000',
  white: '#FFF',
  gray: '#8E8E93',
  gray_main: '#373737',
  gray_100: '#8E8E93',
  gray_200: '#F6F6F6',
  gray_300: '#EBEBEE',
  gray_400: '#71717A',
  gray_500: '#E0E0E0',
  gray_600: '#52525B',
  gray_700: '#828282',
  gray_800: '#4F4F4F',
  gray_900: '#333333',
  trueGray_400: '#A3A3A3',
  success: '#32D74B',
  warning: '#FB923C',
  active: '#0A62E5',
  error: '#FF7A68',
  black: '#000000',
  brand_black: '#212121',
  orange: '#E1652B',
  blue: '#0A62E5',
  blue_200: '#ECF5FF',
  blue_700: '#1D4ED8',
  darkBlue: '#022A4C',
  darkBlue_800: '#002851',
  black200: '#EEEDF2',
  black900: '#131126',
  primary: '#FD9240',
  background: '#F3F4F6',
  eerieBlack: '#212121',
  gray_input: '#A4A4A4',
  transparent: 'transparent',
  gray98: '#FAFAFA',
  gray97: '#F0F5F8',
  graySale: '#9E9E9E',
  ghostWhite: '#F1F2F7',
  greyAzure: '#F4F5F5',
  lightCyan: '#E4F9FF',
  bgColorCalendar: 'rgba(4, 42, 75, 0.86)',
  gray_news: '#313131',
  gray_about_app: '#928B8B',
  very_light_grey: '#C9C9C9',
  overlay: 'rgba(4, 42, 75, 0.86)',
  blur_effect: 'linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.3))',
  home_background: '#F9F9FA',
  orange_blur: '#FFC08F',
  telegram: '#28AAE0',
  messenger: '#1583FA',
  home_part_bg: '#F1F1F1',
  icon_check: '#4ECD81',
  dark_500: '#A1A1AA',
  gray_cus_500: '#71717A',
  success_500: '#22c55e',
  trueGray_100: '#F5F5F5',
  trueGray_50: '#FAFAFA',
  orange_400: '#FB923C',
  new_gray_200: '#E4E4E7',
  calender_grey: '#E0E7EC',
  circle_provider_grey: '#D9D9D9',
}

export const FontSize = {
  sm: 14, // Normal in design
  smbold: 16, // Normal bold in design
  md: 18,
  mdbold: 18,
  lg: 20,
  lgbold: 20,
  head1: 56,
  head2: 48,
  head3: 40,
  head4: 32,
  head5: 24,
  head6: 24,

  small: 10,
  medium: 12,
  large: 16,
  xl: 19,
  extraXLarge: 22,
}

export const LineHeight = {
  sm: 18, // Normal in design
  smbold: 22, // Normal bold in design
  md: 24,
  mdbold: 24,
  lg: 26,
  lgbold: 26,
  head1: 61,
  head2: 52,
  head3: 44,
  head4: 35,
  head5: 26,
  head6: 24,
}
